-- Name: SPA-016 - Ground Ops - Randomize Zones
-- Author: FlightControl
-- Date Created: 10 Jan 2017
--
-- # Situation:
--
-- Spawn multiple ground vehicles, in a scheduled fashion.
-- 
-- # Test cases:
-- 
-- 1. Observe that the ground vehicles are spawned at the position declared within the mission editor.
-- 2. The vehicles should spawn according the scheduler parameters.
-- 3. There should not be more than 5 groups spawned.
-- 4. Observe that the route that the vehicles follow is randomized starting from point 1 till point 3.
-- 5. Observe that the position where the units are spawned, is randomized according the zones.
-- 6. :InitLimit(SpawnMaxUnitsAlive, SpawnMaxGroups)
-- -------------
-- Create a zone table of the 6 zones.
ZoneTable = { ZONE:New( "Zone1" ), ZONE:New( "Zone2" ), ZONE:New( "Zone3" ), ZONE:New( "Zone4" ), ZONE:New( "Zone5" ), ZONE:New( "Zone6" ) }

Spawn_Vehicle_1 = SPAWN:New( "SA-10" )
  :InitLimit( 12, 1 )
  :InitRandomizeRoute( 1, 1, 200 ) 
  :InitRandomizeZones( ZoneTable )
  :SpawnScheduled( 1, .5 )